signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Slots | List of all members
SignonDaemonNS::SignonDaemonAdaptor Class Reference

`#include <signondaemonadaptor.h>`

Inheritance diagram for SignonDaemonNS::SignonDaemonAdaptor:
[legend]
Collaboration diagram for SignonDaemonNS::SignonDaemonAdaptor:
[legend]

## Public Slots
void | registerNewIdentity (QDBusObjectPath &objectPath)
void | getIdentity (const quint32 id, QDBusObjectPath &objectPath, QVariantMap &identityData)
QString | getAuthSessionObjectPath (const quint32 id, const QString &type)
QStringList | queryMethods ()
QStringList | queryMechanisms (const QString &method)
void | queryIdentities (const QVariantMap &filter)
bool | clear ()

## Detailed Description

Definition at line 39 of file signondaemonadaptor.h.

## Member Function Documentation

bool SignonDaemonNS::SignonDaemonAdaptor::clear | ( |  | ) |
| slot

Definition at line 258 of file signondaemonadaptor.cpp.

References SignonDaemonNS::SignonDaemon::clear(), and SignonDaemonNS::AccessControlManagerHelper::instance().

QString SignonDaemonNS::SignonDaemonAdaptor::getAuthSessionObjectPath | ( | const quint32 | id,
|  | const QString & | type
| ) |  |
| slot

Definition at line 164 of file signondaemonadaptor.cpp.

References SignonDaemonNS::SignonDisposable::destroyUnused(), SignonDaemonNS::SignonDaemon::getAuthSession(), SignonDaemonNS::AccessControlManagerHelper::instance(), SignonDaemonNS::AccessControlManagerHelper::isPeerAllowedToUseAuthSession(), SignonDaemonNS::AccessControlManagerHelper::pidOfPeer(), SignonDaemonNS::AccessControlManagerHelper::requestAccessToIdentity(), and TRACE.

void SignonDaemonNS::SignonDaemonAdaptor::getIdentity | ( | const quint32 | id,
|  | QDBusObjectPath & | objectPath,
|  | QVariantMap & | identityData
| ) |  |
| slot

Definition at line 104 of file signondaemonadaptor.cpp.

References SignonDaemonNS::SignonDisposable::destroyUnused(), SignonDaemonNS::SignonDaemon::getIdentity(), SignonDaemonNS::AccessControlManagerHelper::instance(), SignonDaemonNS::AccessControlManagerHelper::isPeerAllowedToUseIdentity(), and SignonDaemonNS::AccessControlManagerHelper::requestAccessToIdentity().

void SignonDaemonNS::SignonDaemonAdaptor::queryIdentities | ( | const QVariantMap & | filter | ) |
| slot

Definition at line 239 of file signondaemonadaptor.cpp.

References SignonDaemonNS::AccessControlManagerHelper::instance(), and SignonDaemonNS::SignonDaemon::queryIdentities().

QStringList SignonDaemonNS::SignonDaemonAdaptor::queryMechanisms | ( | const QString & | method | ) |
| slot

Definition at line 228 of file signondaemonadaptor.cpp.

References SignonDaemonNS::SignonDaemon::queryMechanisms().

QStringList SignonDaemonNS::SignonDaemonAdaptor::queryMethods | ( |  | ) |
| slot

Definition at line 159 of file signondaemonadaptor.cpp.

References SignonDaemonNS::SignonDaemon::queryMethods().

void SignonDaemonNS::SignonDaemonAdaptor::registerNewIdentity | ( | QDBusObjectPath & | objectPath | ) |
| slot

Definition at line 44 of file signondaemonadaptor.cpp.

References SignonDaemonNS::SignonDisposable::destroyUnused(), and SignonDaemonNS::SignonDaemon::registerNewIdentity().

The documentation for this class was generated from the following files:

- src/signond/signondaemonadaptor.h
- src/signond/signondaemonadaptor.cpp